Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.flexdock.docking.state
Class PersistenceException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.flexdock.docking.state.PersistenceException

All Implemented Interfaces:
  Serializable

    public class PersistenceException

extends Exception

Created on 2005-07-03

Version:
  $Id: PersistenceException.java,v 1.1 2005-07-05 14:53:31 marius Exp $
Author:
  Mateusz Szczap
See Also:
  Serialized Form

Constructor Summary
`PersistenceException(String message, Exception ex)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PersistenceException

    public PersistenceException(String message,
                                Exception ex)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD